petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGASMSetOverlap

Sets the overlap between a pair of subdomains for the additive Schwarz preconditioner. Either all or no processors in the pc communicator must call this routine.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMSetOverlap(PC pc,PetscInt ovl)

Logically Collective on pc Many br

### Input Parameters

| pc | - the preconditioner context Many br
| ovl | - the amount of overlap between subdomains (ovl >= 0, default value = 0) Many br

### Options Database Key

-pc_gasm_overlap <overlap> -Sets overlap Many br

### Notes

By default the GASM preconditioner uses 1 subdomain per processor. To use Many brmultiple subdomain per perocessor or "straddling" subdomains that intersect Many brmultiple processors use PCGASMSetSubdomains() (or option -pc_gasm_total_subdomains <n>). Many br

The overlap defaults to 0, so if one desires that no additional Many broverlap be computed beyond what may have been set with a call to Many brPCGASMSetSubdomains(), then ovl must be set to be 0. In particular, if one does Many brnot explicitly set the subdomains in application code, then all overlap would be computed Many brinternally by PETSc, and using an overlap of 0 would result in an GASM Many brvariant that is equivalent to the block Jacobi preconditioner. Many br

Note that one can define initial index sets with any overlap via Many brPCGASMSetSubdomains(); the routine PCGASMSetOverlap() merely allows Many brPETSc to extend that overlap further, if desired. Many br

Many br

### Keywords

PC, GASM, set, overlap

### See Also

PCGASMSetSubdomains(), PCGASMGetSubKSP(),
PCGASMCreateSubdomains2D(), PCGASMGetSubdomains() Many br

Level:intermediate
Location:src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex62.c.html